# Class AdminStoreApi

#### Hierarchy (View Summary)

- JBaseApi
  - AdminStoreApi

- Defined in jamespot-user-api/src/apis/admin/store.ts:6

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

checkoutBilling
checkoutFinalize
getItem

## Constructors

### constructor

- new AdminStoreApi(jApi: JamespotUserApi): AdminStoreApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns AdminStoreApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### checkoutBilling

- checkoutBilling(uri: string): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - uri: string

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/admin/store.ts:14

### checkoutFinalize

- checkoutFinalize(uri: string): Promise<ApiWrapper<StoreFinalize, BaseMessages>>

  #### Parameters

  - uri: string

  #### Returns Promise<ApiWrapper<StoreFinalize, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/admin/store.ts:21

### getItem

- getItem(uri: string): Promise<ApiWrapper<StoreItem, BaseMessages>>

  #### Parameters

  - uri: string

  #### Returns Promise<ApiWrapper<StoreItem, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/admin/store.ts:7